MPD: util/WStringAPI.hxx File Reference

MPD 0.20.18

Functions
WStringAPI.hxx File Reference
`#include "Compiler.h"`
`#include <wchar.h>`
Include dependency graph for WStringAPI.hxx:

Go to the source code of this file.

## Functions
gcc_pure static gcc_nonnull_all size_t | StringLength (const wchar_t *p) noexcept
gcc_pure static gcc_nonnull_all const wchar_t * | StringFind (const wchar_t *haystack, const wchar_t *needle) noexcept
gcc_pure static gcc_nonnull_all const wchar_t * | StringFind (const wchar_t *haystack, wchar_t needle, size_t size) noexcept
gcc_pure static gcc_nonnull_all wchar_t * | StringFind (wchar_t *haystack, wchar_t needle, size_t size) noexcept
gcc_pure static gcc_nonnull_all const wchar_t * | StringFind (const wchar_t *haystack, wchar_t needle) noexcept
gcc_pure static gcc_nonnull_all wchar_t * | StringFind (wchar_t *haystack, wchar_t needle) noexcept
gcc_pure static gcc_nonnull_all const wchar_t * | StringFindLast (const wchar_t *haystack, wchar_t needle) noexcept
gcc_pure static gcc_nonnull_all wchar_t * | StringFindLast (wchar_t *haystack, wchar_t needle) noexcept
static gcc_nonnull_all void | UnsafeCopyString (wchar_t *dest, const wchar_t *src) noexcept
static gcc_nonnull_all wchar_t * | UnsafeCopyStringP (wchar_t *dest, const wchar_t *src) noexcept
gcc_pure static gcc_nonnull_all bool | StringIsEqual (const wchar_t *str1, const wchar_t *str2) noexcept
| Checks whether str1 and str2 are equal. More...
gcc_pure static gcc_nonnull_all bool | StringIsEqual (const wchar_t *a, const wchar_t *b, size_t length) noexcept
| Checks whether #a and #b are equal. More...
gcc_malloc static gcc_nonnull_all wchar_t * | DuplicateString (const wchar_t *p)

## Function Documentation

## ◆ DuplicateString()

gcc_malloc static gcc_nonnull_all wchar_t* DuplicateString | ( | const wchar_t * | p | ) |
| inlinestatic

Definition at line 143 of file WStringAPI.hxx.

## ◆ StringFind() [1/5]

gcc_pure static gcc_nonnull_all const wchar_t* StringFind | ( | const wchar_t * | haystack,
|  | const wchar_t * | needle
| ) |  |
| inlinestaticnoexcept

Definition at line 46 of file WStringAPI.hxx.

## ◆ StringFind() [2/5]

gcc_pure static gcc_nonnull_all const wchar_t* StringFind | ( | const wchar_t * | haystack,
|  | wchar_t | needle,
|  | size_t | size
| ) |  |
| inlinestaticnoexcept

Definition at line 53 of file WStringAPI.hxx.

## ◆ StringFind() [3/5]

gcc_pure static gcc_nonnull_all wchar_t* StringFind | ( | wchar_t * | haystack,
|  | wchar_t | needle,
|  | size_t | size
| ) |  |
| inlinestaticnoexcept

Definition at line 60 of file WStringAPI.hxx.

## ◆ StringFind() [4/5]

gcc_pure static gcc_nonnull_all const wchar_t* StringFind | ( | const wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inlinestaticnoexcept

Definition at line 67 of file WStringAPI.hxx.

## ◆ StringFind() [5/5]

gcc_pure static gcc_nonnull_all wchar_t* StringFind | ( | wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inlinestaticnoexcept

Definition at line 74 of file WStringAPI.hxx.

## ◆ StringFindLast() [1/2]

gcc_pure static gcc_nonnull_all const wchar_t* StringFindLast | ( | const wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inlinestaticnoexcept

Definition at line 81 of file WStringAPI.hxx.

## ◆ StringFindLast() [2/2]

gcc_pure static gcc_nonnull_all wchar_t* StringFindLast | ( | wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inlinestaticnoexcept

Definition at line 88 of file WStringAPI.hxx.

## ◆ StringIsEqual() [1/2]

gcc_pure static gcc_nonnull_all bool StringIsEqual | ( | const wchar_t * | str1,
|  | const wchar_t * | str2
| ) |  |
| inlinestaticnoexcept

Checks whether str1 and str2 are equal.

Parameters

  str1 | String 1
  str2 | String 2

Returns
  True if equal, False otherwise

Definition at line 124 of file WStringAPI.hxx.

## ◆ StringIsEqual() [2/2]

gcc_pure static gcc_nonnull_all bool StringIsEqual | ( | const wchar_t * | a,
|  | const wchar_t * | b,
|  | size_t | length
| ) |  |
| inlinestaticnoexcept

Checks whether #a and #b are equal.

Definition at line 134 of file WStringAPI.hxx.

## ◆ StringLength()

gcc_pure static gcc_nonnull_all size_t StringLength | ( | const wchar_t * | p | ) |
| inlinestaticnoexcept

Definition at line 39 of file WStringAPI.hxx.

## ◆ UnsafeCopyString()

static gcc_nonnull_all void UnsafeCopyString | ( | wchar_t * | dest,
|  | const wchar_t * | src
| ) |  |
| inlinestaticnoexcept

Definition at line 95 of file WStringAPI.hxx.

## ◆ UnsafeCopyStringP()

static gcc_nonnull_all wchar_t* UnsafeCopyStringP | ( | wchar_t * | dest,
|  | const wchar_t * | src
| ) |  |
| inlinestaticnoexcept

Definition at line 102 of file WStringAPI.hxx.